<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $this->call(UsersTableSeeder::class);
        $this->call(StudentTypeUserSeeder::class);
        $this->call(BranchTableSeeder::class);
        $this->call(BuildingSeeder::class);
        $this->call(BuildingFloorTableSeeder::class);
        $this->call(ClassRoomSeeder::class);
        $this->call(DormitorySeeder::class);
        $this->call(DormitoryFloorTableSeeder::class);
        $this->call(DormitoryRoomSeeder::class);
        $this->call(ShiftSeeder::class);
        $this->call(SectionSeeder::class);
        $this->call(StudentClassesTableSeeder::class);
        $this->call(SubjectsTableSeeder::class);
        $this->call(GroupsTableSeeder::class);
        $this->call(AcademicYearsTableSeeder::class);
        $this->call(ExamSeeder::class);
        $this->call(EmployeeSeeder::class);
        $this->call(EmployeeTypeSeeder::class);
        $this->call(MarkHeadsTableSeeder::class);
        $this->call(GradeSeeder::class);
        $this->call(OccupationSeeder::class);
        $this->call(DesignationSeeder::class);
        $this->call(StudentInfoSeeder::class);
        $this->call(FeeTypesTableSeeder::class);
        $this->call(SalaryHeadSeeder::class);
        $this->call(LeaveTypeSeeder::class);
        $this->call(FeeCycleTypeSeeder::class);
        $this->call(PermissionSeeder::class);
        $this->call(AccountingHeadSeeder::class);
        $this->call(GuardianRelationSeeder::class);
        $this->call(RoleSeeder::class);
    }
}
